Your search did not match any results.
Range Selector

Chart on Background

Documentation

This demo demonstrates the ability of the RangeSelector to show the Chart component with multiple series as a background view.

Backend API
Copy to CodePen
Apply
Reset
$(() => { $('#range-selector').dxRangeSelector({ margin: { top: 50, }, scale: { minorTickInterval: 'day', tickInterval: { days: 7, }, }, dataSource: [ { t: new Date(2011, 11, 22), costs: 19, income: 18 }, { t: new Date(2011, 11, 29), costs: 27, income: 12 }, { t: new Date(2012, 0, 5), costs: 30, income: 5 }, { t: new Date(2012, 0, 12), costs: 26, income: 6 }, { t: new Date(2012, 0, 19), costs: 18, income: 10 }, { t: new Date(2012, 0, 26), costs: 15, income: 15 }, { t: new Date(2012, 1, 2), costs: 14, income: 21 }, { t: new Date(2012, 1, 9), costs: 14, income: 25 }, ], chart: { series: [ { argumentField: 't', valueField: 'costs' }, { argumentField: 't', valueField: 'income' }, ], valueAxis: { min: 0, }, }, value: [new Date(2011, 11, 25), new Date(2012, 0, 1)], title: 'Select a Range in the Costs and Revenues History', }); });
<!DOCTYPE html> <html xmlns="http://www.w3.org/1999/xhtml"> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" /> <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script> <script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.5/css/dx.light.css" /> <script src="https://cdn3.devexpress.com/jslib/22.2.5/js/dx.all.js"></script> <link rel="stylesheet" type="text/css" href="styles.css" /> <script src="index.js"></script> </head> <body class="dx-viewport"> <div class="demo-container"> <div id="range-selector"></div> </div> </body> </html>
#range-selector { height: 310px; }

DevExtreme v23.2 is now available.

Explore our newest features/capabilities and share your thoughts with us.

Your search did not match any results.

Chart on Background

Documentation

This demo demonstrates the ability of the RangeSelector to show the Chart component with multiple series as a background view.

Backend API
import React from 'react'; import RangeSelector, { Margin, Scale, TickInterval, MinorTickInterval, Chart, Series, ValueAxis, } from 'devextreme-react/range-selector'; import { dataSource } from './data.ts'; const range = [new Date(2011, 11, 25), new Date(2012, 0, 1)]; const App = () => ( <RangeSelector id="range-selector" title="Select a Range in the Costs and Revenues History" dataSource={dataSource} defaultValue={range} > <Margin top={50} /> <Scale> <TickInterval days={7} /> <MinorTickInterval days={1} /> </Scale> <Chart> <Series argumentField="t" valueField="costs" /> <Series argumentField="t" valueField="income" /> <ValueAxis min={0} /> </Chart> </RangeSelector> ); export default App;
import React from 'react'; import RangeSelector, { Margin, Scale, TickInterval, MinorTickInterval, Chart, Series, ValueAxis, } from 'devextreme-react/range-selector'; import { dataSource } from './data.js'; const range = [new Date(2011, 11, 25), new Date(2012, 0, 1)]; const App = () => ( <RangeSelector id="range-selector" title="Select a Range in the Costs and Revenues History" dataSource={dataSource} defaultValue={range} > <Margin top={50} /> <Scale> <TickInterval days={7} /> <MinorTickInterval days={1} /> </Scale> <Chart> <Series argumentField="t" valueField="costs" /> <Series argumentField="t" valueField="income" /> <ValueAxis min={0} /> </Chart> </RangeSelector> ); export default App;
import React from 'react'; import ReactDOM from 'react-dom'; import App from './App.tsx'; ReactDOM.render( <App />, document.getElementById('app'), );
export const dataSource = [ { t: new Date(2011, 11, 22), costs: 19, income: 18 }, { t: new Date(2011, 11, 29), costs: 27, income: 12 }, { t: new Date(2012, 0, 5), costs: 30, income: 5 }, { t: new Date(2012, 0, 12), costs: 26, income: 6 }, { t: new Date(2012, 0, 19), costs: 18, income: 10 }, { t: new Date(2012, 0, 26), costs: 15, income: 15 }, { t: new Date(2012, 1, 2), costs: 14, income: 21 }, { t: new Date(2012, 1, 9), costs: 14, income: 25 }, ];
window.exports = window.exports || {}; window.config = { transpiler: 'ts', typescriptOptions: { module: 'system', emitDecoratorMetadata: true, experimentalDecorators: true, jsx: 'react', }, meta: { 'react': { 'esModule': true, }, 'typescript': { 'exports': 'ts', }, 'devextreme/time_zone_utils.js': { 'esModule': true, }, 'devextreme/localization.js': { 'esModule': true, }, 'devextreme/viz/palette.js': { 'esModule': true, }, }, paths: { 'npm:': 'https://unpkg.com/', }, defaultExtension: 'js', map: { 'ts': 'npm:plugin-typescript@4.2.4/lib/plugin.js', 'typescript': 'npm:typescript@4.2.4/lib/typescript.js', 'react': 'npm:react@17.0.2/umd/react.development.js', 'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js', 'prop-types': 'npm:prop-types@15.8.1/prop-types.js', 'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js', 'luxon': 'npm:luxon@1.28.1/build/global/luxon.min.js', 'es6-object-assign': 'npm:es6-object-assign@1.1.0', 'devextreme': 'npm:devextreme@23.2.5/cjs', 'devextreme-react': 'npm:devextreme-react@23.2.5/cjs', 'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js', 'devextreme-quill': 'npm:devextreme-quill@1.6.4/dist/dx-quill.min.js', 'devexpress-diagram': 'npm:devexpress-diagram@2.2.5/dist/dx-diagram.js', 'devexpress-gantt': 'npm:devexpress-gantt@4.1.51/dist/dx-gantt.js', '@devextreme/runtime': 'npm:@devextreme/runtime@3.0.12', 'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js', 'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js', 'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js', 'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js', 'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js', 'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js', 'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js', 'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js', 'devextreme-cldr-data': 'npm:devextreme-cldr-data@1.0.3', // SystemJS plugins 'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js', 'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js', // Prettier 'prettier/standalone': 'npm:prettier@2.8.4/standalone.js', 'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js', }, packages: { 'devextreme': { defaultExtension: 'js', }, 'devextreme-react': { main: 'index.js', }, 'devextreme/events/utils': { main: 'index', }, 'devextreme/localization/messages': { format: 'json', defaultExtension: '', }, 'devextreme/events': { main: 'index', }, 'es6-object-assign': { main: './index.js', defaultExtension: 'js', }, }, packageConfigPaths: [ 'npm:@devextreme/*/package.json', 'npm:@devextreme/runtime@3.0.12/inferno/package.json', ], babelOptions: { sourceMaps: false, stage0: true, react: true, }, }; System.config(window.config);
import React from 'react'; import ReactDOM from 'react-dom'; import App from './App.js'; ReactDOM.render(<App />, document.getElementById('app'));
export const dataSource = [ { t: new Date(2011, 11, 22), costs: 19, income: 18 }, { t: new Date(2011, 11, 29), costs: 27, income: 12 }, { t: new Date(2012, 0, 5), costs: 30, income: 5 }, { t: new Date(2012, 0, 12), costs: 26, income: 6 }, { t: new Date(2012, 0, 19), costs: 18, income: 10 }, { t: new Date(2012, 0, 26), costs: 15, income: 15 }, { t: new Date(2012, 1, 2), costs: 14, income: 21 }, { t: new Date(2012, 1, 9), costs: 14, income: 25 }, ];
<!DOCTYPE html> <html> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" /> <link rel="dx-theme" data-theme="generic.light" href="https://cdn3.devexpress.com/jslib/23.2.5/css/dx.light.css" /> <link rel="stylesheet" type="text/css" href="styles.css" /> <script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script> <script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script> <script type="text/javascript" src="config.js"></script> <script type="text/javascript"> System.import("./index.tsx"); </script> </head> <body class="dx-viewport"> <div class="demo-container"> <div id="app"></div> </div> </body> </html>
#range-selector { height: 310px; }

<dx-range-selector
id="range-selector"
[value]="[startSelectedValue, endSelectedValue]"
title="Select a Range in the Costs and Revenues History"
[dataSource]="dataSource"
>
<dxo-margin [top]="50"></dxo-margin>
<dxo-scale minorTickInterval="day">
<dxo-tick-interval [days]="7"> </dxo-tick-interval>
</dxo-scale>
<dxo-chart>
<dxi-series argumentField="t" valueField="costs"></dxi-series>
<dxi-series argumentField="t" valueField="income"></dxi-series>
<dxo-value-axis [min]="0"></dxo-value-axis>
</dxo-chart>
</dx-range-selector>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxRangeSelectorModule } from 'devextreme-angular';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css'],
})
export class AppComponent {
dataSource: any[];
startSelectedValue: Date = new Date(2011, 11, 25);
endSelectedValue: Date = new Date(2012, 0, 1);
constructor() {
this.dataSource = [
{ t: new Date(2011, 11, 22), costs: 19, income: 18 },
{ t: new Date(2011, 11, 29), costs: 27, income: 12 },
{ t: new Date(2012, 0, 5), costs: 30, income: 5 },
{ t: new Date(2012, 0, 12), costs: 26, income: 6 },
{ t: new Date(2012, 0, 19), costs: 18, income: 10 },
{ t: new Date(2012, 0, 26), costs: 15, income: 15 },
{ t: new Date(2012, 1, 2), costs: 14, income: 21 },
{ t: new Date(2012, 1, 9), costs: 14, income: 25 },
];
}
}
@NgModule({
imports: [
BrowserModule,
DxRangeSelectorModule,
],
declarations: [AppComponent],
bootstrap: [AppComponent],
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep #range-selector {
height: 310px;
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'ts': 'npm:plugin-typescript@4.2.4/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'@angular/core': 'npm:@angular/core@12.2.16',
'@angular/platform-browser': 'npm:@angular/platform-browser@12.2.16',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic@12.2.16',
'@angular/forms': 'npm:@angular/forms@12.2.16',
'@angular/common': 'npm:@angular/common@12.2.16',
'@angular/compiler': 'npm:@angular/compiler@12.2.16',
'tslib': 'npm:tslib@2.3.1/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.2.3/cjs',
'devextreme/bundles/dx.all': 'npm:devextreme@22.2.3/bundles/dx.all.js',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.20/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.65',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.37',
'devextreme-angular': 'npm:devextreme-angular@22.2.3',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.7.1/standalone.js',
'prettier/parser-html': 'npm:prettier@2.7.1/parser-html.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
'npm:@angular/*/package.json',
'npm:@angular/common@12.2.16/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devextreme-angular@22.2.3/*/package.json',
'npm:devextreme-angular@22.2.3/ui/*/package.json',
'npm:devextreme-angular@22.2.3/package.json',
'npm:devexpress-diagram@2.1.65/package.json',
'npm:devexpress-gantt@4.1.37/package.json',
],
};
System.config(window.config);
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.3/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.12.0/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

<template>
<DxRangeSelector
id="range-selector"
:data-source="dataSource"
v-model:value="range"
title="Select a Range in the Costs and Revenues History"
>
<DxMargin :top="50"/>
<DxScale>
<DxMinorTickInterval :days="1"/>
<DxTickInterval :days="7"/>
</DxScale>
<DxChart>
<DxSeries
argument-field="t"
value-field="costs"
/>
<DxSeries
argument-field="t"
value-field="income"
/>
<DxValueAxis :min="0"/>
</DxChart>
</DxRangeSelector>
</template>
<script>
import {
DxRangeSelector,
DxMargin,
DxScale,
DxTickInterval,
DxMinorTickInterval,
DxChart,
DxSeries,
DxValueAxis,
} from 'devextreme-vue/range-selector';
import { dataSource } from './data.js';
export default {
components: {
DxRangeSelector,
DxMargin,
DxScale,
DxTickInterval,
DxMinorTickInterval,
DxChart,
DxSeries,
DxValueAxis,
},
data() {
return {
dataSource,
range: [new Date(2011, 11, 25), new Date(2012, 0, 1)],
};
},
};
</script>
<style scoped>
#range-selector {
height: 310px;
}
</style>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="dx-theme" data-theme="generic.light" href="https://cdn3.devexpress.com/jslib/22.2.5/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>
export const dataSource = [
{ t: new Date(2011, 11, 22), costs: 19, income: 18 },
{ t: new Date(2011, 11, 29), costs: 27, income: 12 },
{ t: new Date(2012, 0, 5), costs: 30, income: 5 },
{ t: new Date(2012, 0, 12), costs: 26, income: 6 },
{ t: new Date(2012, 0, 19), costs: 18, income: 10 },
{ t: new Date(2012, 0, 26), costs: 15, income: 15 },
{ t: new Date(2012, 1, 2), costs: 14, income: 21 },
{ t: new Date(2012, 1, 9), costs: 14, income: 25 },
];
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'vue': 'npm:vue@3.2.47/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.0.15/index.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.2.5/cjs',
'devextreme-vue': 'npm:devextreme-vue@22.2.5',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.20/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.72/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.42/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.4/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
System.config(window.config);